
QGIS Application - Bug report #332

Can not display newly created point files

2006-10-04 09:41 AM - watry-coaps-fsu-edu -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10391

Description

Layers already loaded

U.S. States  

U.s. Counties

SElect "New Vector Layer" on "Manage Layer Toolbar" 

Selection type=Point

Add Name="Callsign", Type="String" 

Add Name="Lat", Type="Real" 

Add Name="Lon", Type="Real" 

Click [Ok]

save as "newbuoy" 

Projection is "WGS84" 

Check "EPSG ID" 

Click [ok]

-------------------------

ERROR

Could not open SRS Database

/resources/srs.db

ERROR: unable to open

database file

--------------------------

click [ok]

Projection is "WGS84" 

Check "EPSG ID" 

Click [ok]

Click on "newbuoy" layer in legend

click on "start editing the current layer"

click on "Capture Point" 

mouseover to approximate 42.35N 70.69W cand click

Callsign "44013" 

Lat "42.35" 

Lon "-70.69"
Point is on map view where it should be

click on "Stop Editing the Current layer"

do you want to save the changes, click on [yes]

The point disappears off the map view

How do I get it to display the points

History

#1 - 2006-10-04 11:55 AM - Redmine Admin

Please post some more info about your system (GDAL version, GEOS version, built from sources or rpm/deb package).

The problem could be same as in tickets #219 and #3933 (see these ticets for more info)

#2 - 2006-10-13 04:39 PM - Gavin Macaulay -

The underlying problem may well me the message about being unable to open the srs.db database. What OS are you using, and can you try the latest

version of qgis?

#3 - 2006-11-09 12:44 PM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed

Bug has been fixed in Tim's latest Windows build. No error message appears and all digitized points seems to be stored properly. Bug described above

appeared only in Qgis Preview2 (Windows) or in builds against older GDAL versions.

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
